Summary: Polish man pages from the Linux Documentation Project.
Name: man-pages-pl
Version: 0.22
Release: 15.ker.rhel3
License: Distributable
Group: Documentation
Source: ftp://metalab.unc.edu/pub/Linux/docs/LDP/man-pages/man-pages-pl-%{version}.tar.gz
Patch0: man-pages-pl-0.22-roffix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch


%description
Manual pages from the Linux Documentation Project, translated into
Polish.

%prep
%setup -q -n pl_PL
%patch0 -p1 -b .rofffix

%build

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/pl/man{1,2,3,4,5,6,7,8,9,n}
for i in man[1-8]/*.?; do
        iconv -f LATIN2 -t UTF-8 < $i > $i.new
        mv -f $i.new $i
done
for i in man[1-8] ; do 
    install -m 644 $i/*.? $RPM_BUILD_ROOT%{_mandir}/pl/$i; 
done
rm -f $RPM_BUILD_ROOT/%{_mandir}/pl/man8/rpm*

# too buggy to ship... not only errors, but also things which
# obviously don't work as the author intended
rm -f $RPM_BUILD_ROOT%{_mandir}/pl/man5/lisp-tut*

rm -f $RPM_BUILD_ROOT%{_mandir}/pl/man1/{apropos.1,man.1,whatis.1}*
rm -f $RPM_BUILD_ROOT%{_mandir}/pl/man5/{faillog.5,shadow.5,man.config.5}*
rm -f $RPM_BUILD_ROOT%{_mandir}/pl/man8/{groupadd.8,groupdel.8,groupmod.8,useradd.8,userdel.8,usermod.8}*

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FAQ
%dir %{_mandir}/pl
%{_mandir}/pl/*

%changelog
* Fri Feb 20 2004 Milan Kerslager <kerslage@linux.cz> 0.22-15.ker.rhel3
- rebuild

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 10 2004 Akira TAGOH <tagoh@redhat.com> 0.22-14
- removed apropos.1, man.1, whatis.1, and man.config.5, because the latest man contains those manpages.

* Tue Feb 11 2003 Phil Knirsch <pknirsch@redhat.com> 0.22-13
- Convert all manpages to utf-8.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Nov 25 2002 Tim Powers <timp@redhat.com>
- remove man pages which conflict with shadow-utils

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Aug  2 2001 Trond Eivind Glomsrd <teg@redhat.com>
- s/Copyright/License/
- Own %%{_mandir}/pl

* Wed Apr  4 2001 Trond Eivind Glomsrd <teg@redhat.com>
- fix roff errors in various man pages (#34189)
- remove lisp-tut.5 - it's beyond repair and needs rewriting

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild to compress man pages.

* Mon Jun 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- don't include rpm manpage, it's included with rpm

* Sun Jun 11 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fixed typo in description
* Sun Jun 11 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first build
